Skip to content
Get started

Create project

POST/api/projects/

Create project

Body ParametersExpand Collapse
name: string
minLength1
maxLength255
slug: string
minLength1
maxLength255
description: optional string
is_active: optional boolean
settings: optional unknown
ReturnsExpand Collapse
id: string
formatuuid
created_at: string
formatdate-time
name: string
maxLength255
slug: string
maxLength255
updated_at: string
formatdate-time
description: optional string
is_active: optional boolean
settings: optional unknown
Create project
curl https://api.overmindlab.ai/api/projects/ \
    -H 'Content-Type: application/json' \
    -d '{
          "name": "x",
          "slug": "slug"
        }'
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "slug": "slug",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "is_active": true,
  "settings": {}
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "slug": "slug",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "is_active": true,
  "settings": {}
}